<div class="notification_menu" *ngIf="!isAlert">
  <div mat-dialog-title>
    <div class="notification_head">
      <ul class="nav nav-tabs">
        <li class="nav-item active">
          <a class="nav-link" data-toggle="tab" href="#devices" matTooltip="Inactive devices"><i aria-hidden="true"
              class="fa fa-tablet"></i>
            <span class="notification_count" *ngIf="notificationCount.devices>0">{{notificationCount.devices}}</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-toggle="tab" href="#free" matTooltip="Free vehicles"><i aria-hidden="true" class="fa fa-taxi"
             ></i>
            <span class="notification_count" style="background-color: grey"
              *ngIf="freeVehicles && freeVehicles.length>0">{{freeVehicles.length}}</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-toggle="tab" href="#menu2" matTooltip="Scheduled trips"><i aria-hidden="true" class="fa fa-clock-o"
             ></i>
            <span class="notification_count"
              *ngIf="notificationCount.scheduled>0">{{notificationCount.scheduled}}</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-toggle="tab" href="#menu3" matTooltip="Timed out orders"><i aria-hidden="true"
              class="fa fa-hourglass-end"></i>
            <span class="notification_count" *ngIf="notificationCount.timedout>0">{{notificationCount.timedout}}</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-toggle="tab" href="#menu4" matTooltip="Flagged trip speed"><i aria-hidden="true"
              class="fa fa-exclamation-triangle"></i>
            <span class="notification_count" style="background-color: orange"
              *ngIf="notificationCount.overspeed>0">{{notificationCount.overspeed}}</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-toggle="tab" href="#menu5" matTooltip="Non-occupied vehicles">
            <img height="20px" src="assets/img/car_warning.png" alt="" alt="warning">
            <span class="notification_count" style="background-color: purple"
              *ngIf="inactiveCarsLength>0">{{inactiveCarsLength}}</span>
          </a>
        </li>
      </ul>
    </div>
  </div>
  <div class="tab-content">
    <div class="tab-pane container active" id="devices">
      <div mat-dialog-content class="notification_body">
        <div class="text-center" *ngIf="sosAlerts && sosAlerts.length==0">
          Nothing to show here.
        </div>
        <ng-container *ngFor="let devices of sosAlerts">
          <div *ngIf="devices.driver_id">
            <div
              *ngIf="devices.driver_id._id != '5b9d404c415e8974e92d557e' && devices.vehicle_id && devices._id != '5c598d0525de8565f55e5c47' && devices._id != '5c10b06850de0c16da59154f'  && devices._id != '5c3c44b307071a592a955512'"
              class="notific_items time2" [ngStyle]="{'border-left':borderColor(devices.updated_at,1)}">

              <div class="notific_icon">
                <i aria-hidden="true" class="fa fa-signal" [ngStyle]="{'color':iconColor(devices.updated_at,1),'font-size':'15px'}"
                 ></i>
              </div>
              <div class="notific_text">
                <div>Vehicle side no: <strong>{{devices.vehicle_id?devices.vehicle_id.vehicle_identity_number:''}}</strong>
                  <br>Last active {{since(devices.updated_at)}} ago
                  <br>Last Driver id to login: <strong>{{devices.driver_id?devices.driver_id.username:'NA'}}</strong>
                </div>
              </div>
            </div>
          </div>
        </ng-container>
      </div>
    </div>
    <div class="tab-pane container fade" id="free">
      <div mat-dialog-content class="notification_body">
        <div class="text-center" *ngIf="freeVehicles && freeVehicles.length==0">
          Nothing to show here.
        </div>
        <ng-container *ngFor="let vehicle of freeVehicles">

          <div class="notific_items time2" [ngStyle]="{'border-left':borderColor(vehicle.created_at,1)}">
            <div class="notific_icon">
              <i aria-hidden="true" class="fa fa-taxi" [ngStyle]="{'color':iconColor(vehicle.created_at,1),'padding-top':'9px'}"
               ></i>
            </div>
            <div class="notific_text">
              <div>Vehicle side no: <strong>{{vehicle.vehicle_id.vehicle_identity_number}}</strong>
                <br>Has been free for {{since(vehicle.created_at)}}
                <br>Last Driver id to login: <strong>{{vehicle.driver_id.username}}</strong>
              </div>
              <div>{{vehicle.created_at}}</div>
            </div>
          </div>

        </ng-container>
      </div>
    </div>
    <div class="tab-pane container fade" id="menu2">
      <div mat-dialog-content class="notification_body">
        <div class="text-center" *ngIf="orderAlerts && orderAlerts.length==0">
          Nothing to show here.
        </div>
        <ng-container *ngFor="let order of orderAlerts">

          <div class="notific_items time2" [ngStyle]="{'border-left':borderColor(order.scheduler_start_date,3)}" (click)="close(order.unique_order_id)">
            <div class="notific_icon">
              <i aria-hidden="true" class="fa fa-clock-o"
                [ngStyle]="{'color':iconColor(order.scheduler_start_date,3),'padding-top':'12px'}"
               ></i>
            </div>
            <div class="notific_text">
              <div>Order Id: <strong>{{order.unique_order_id}}</strong>
                <br>Scheduled time: <strong>{{order.scheduler_start_date}}</strong> ({{toGo(order.scheduler_start_date)}} to
                dispatch)
                <br>Customer name: <strong>{{order.user_id?order.user_id.firstname:'NA'}}</strong>
                <br>Customer phone: <strong>{{order.user_id?order.user_id.phone_number:'NA'}}</strong>
              </div>
              <div>Created at <strong>{{order.created_at}}</strong> by
                {{order.dispatcher_id?order.dispatcher_id.email:order.generate_by}}</div>
            </div>
          </div>

        </ng-container>
      </div>
    </div>
    <div class="tab-pane container fade" id="menu3">
      <div mat-dialog-content class="notification_body">
        <div class="text-center" *ngIf="timedOutAlerts && timedOutAlerts.length==0">
          Nothing to show here.
        </div>
        <ng-container *ngFor="let order of timedOutAlerts">

          <div class="notific_items time2" [ngStyle]="{'border-left':borderColor(order.generate_by,4)}" (click)="close(order.unique_order_id)">
            <div class="notific_icon">
              <i aria-hidden="true" class="fa fa-hourglass-end" [ngStyle]="{'color':iconColor(order.generate_by,4),'padding-top':'9px'}"
               ></i>
            </div>
            <div class="notific_text">
              <div>Order Id: <strong>{{order.unique_order_id}}</strong>
                <br>Customer name: <strong>{{order.user_id?order.user_id.firstname:'NA'}}</strong>
                <br>Customer phone: <strong>{{order.user_id?order.user_id.phone_number:'NA'}}</strong>
              </div>
              <div>Created at <strong>{{order.created_at}}</strong> by
                {{order.dispatcher_id?order.dispatcher_id.email:order.generate_by}}</div>
            </div>
          </div>

        </ng-container>
      </div>
    </div>
    <div class="tab-pane container fade" id="menu4">
      <div mat-dialog-content class="notification_body">
        <div class="text-center" *ngIf="overSpeed && overSpeed.length==0">
          Nothing to show here.
        </div>
        <ng-container *ngFor="let order of overSpeed">

          <div class="notific_items time2" [ngStyle]="{'border-left':'5px solid orange'}" (click)="close(order.unique_order_id)">
            <div class="notific_icon">
              <i aria-hidden="true" class="fa fa-exclamation-triangle" [ngStyle]="{'color':'orange','padding-top':'12px'}"
               ></i>
            </div>
            <div class="notific_text">
              <div>Order Id: <strong>{{order.unique_order_id}}</strong>
                <br>Driver Id: <strong>{{order.driver_emp?order.driver_emp:'NA'}}</strong>
                <br>Vehicle side no: <strong>{{order.vehicle_side?order.vehicle_side:'NA'}}</strong>
                <span *ngIf="order.speed">
                  <br>Speed: <strong>{{order.speed | number: '0.0-0'}} KM/H</strong>
                </span>
              </div>
              {{order.created_at?order.created_at:''}}
            </div>
          </div>

        </ng-container>
      </div>
    </div>
    <div class="tab-pane container fade" id="menu5">
      <div mat-dialog-content class="notification_body" (scroll)="scrollHandler($event)" >
        <div class="text-center" *ngIf="inactiveCars && inactiveCarsLength==0">
          Nothing to show here.
        </div>
        <ng-container *ngFor="let cars of inactiveCars">

          <div class="notific_items time2" [ngStyle]="{'border-left':'5px solid purple'}">
            <div class="notific_icon">
              <i aria-hidden="true" class="fa fa-exclamation-triangle" [ngStyle]="{'color':'purple','padding-top':'12px'}"
               ></i>
            </div>
            <div class="notific_text" style="margin-top: 11px;" (click)="nonOccvehic(cars);">
              <div>Vehicle : <strong>{{cars.vehicle}}</strong>
                <br>Last order time: <strong>{{cars.ltime | date: 'dd/MM/yyyy hh:mm a'}}</strong>
              </div>
            </div>
          </div>
        </ng-container>
      </div>
    </div>
  </div>
  <div class="text-center">
    <button class=" btn btn-block btn-default" (click)="dialogRef.close()">close</button>
  </div>
</div>
<div class="notification_menu" *ngIf="isAlert">
  <div [ngClass]="{'warning':alert.key==4 || alert.key==5,'warning2':alert.key==3 || alert.key==6 || alert.key==7}"
    *ngIf="alert.key==4 || alert.key==3  || alert.key==5   || alert.key==6 || alert.key==7">
    <div class="col-sm-1"
      [ngClass]="{'notific_icon_warning':alert.key==4 || alert.key==5,'notific_icon_warning2':alert.key==3 || alert.key==6 || alert.key==7}">
      <i aria-hidden="true" class="fa fa-exclamation-circle"></i>
    </div>
    <div class="col-sm-9">
      <span (click)="dialogRef.close(data.unique_order_id)"
        style="cursor:pointer"><strong>{{data.unique_order_id}}</strong></span><br />
      <p *ngIf="alert.key==4">Scheduled order timed out</p>
      <p *ngIf="alert.key==3">Automatic order timed out</p>
      <p *ngIf="alert.key==5">Abnormal trip end.
      </p>
      <p *ngIf="alert.key==6" style="font-size: 1.1rem;">Hourly order went above end time.
      </p>
      <p *ngIf="alert.key==7">Order flagged.</p>
    </div>
    <div class="col-sm-1 notification_close">
      <button [mat-dialog-close]>X</button>
    </div>
  </div>
</div>
<a class="close-all-button" (click)="closeAll()">Close all</a>